Interesting conundrum: We've recently moved a project to LetsEncrypt and now between 1-2% of our users can't use our product anymore. (Because of the missing root cert on their ancient OS)

On one hand I can totally understand why people are using old hard- and software, with Money being the main reason - On the other hand, yo, you're using an unmaintained, inherently insecure operating system to use the interwebs. STAHP, forcrissakes, STAHP.

@alexanderadam Well, you'd have to ask Apple (and to a lesser extent Microsoft) about that. I personally prolonged the life of my iMac with a Linux install for a while, but that's not an option for that specific group of clients.

Follow

@halfbyte I fully understand.
I'm not quite sure how we even ended in this situation.
A customer of mine also had to replace OS/X with a Linux just to run hardware without having to run outdated software (or buy new hardware with supported drivers). 🙄

@alexanderadam I think it's much worse with hardware that isn't computers. With computers you can at least argue that there's meaningful progress. But how much has changed about flatbet scanners, for example?

My 2006ish Canoscan works fine on Linux. I have yet to find a driver that would make it work on Windows.

Of course I undestand the economic reasoning, but that doesn't make it less terrible.

Sign in to participate in the conversation
Ruby.social

A Mastodon instance for Rubyists & friends